#ifndef HASHMAP_H
#define HASHMAP_H

#include <stddef.h>
#include <stdint.h>

typedef struct HASHMAP hashmap_t;

hashmap_t* hashmap_alloc();
void hashmap_free(hashmap_t* hashmap);

void hashmap_put(hashmap_t* hashmap, uint32_t key, void* elem);
void* hashmap_get(hashmap_t* hashmap, uint32_t key);

#endif
